#ifndef SCT_FILE_IONAMEFILE_H
#define SCT_FILE_IONAMEFILE_H

#include "../IOName.h"
#include <string>

using std::string;

namespace Sct {
namespace File {

class IONameFile : public IOName {
public:
    IONameFile(const string& fileName) throw(InvalidArgument);
    IONameFile(const string& uniqueID, const string& className) throw();    
    virtual ~IONameFile() throw();
    
    string getClassName() const throw();

protected:
    virtual void parse() throw(InvalidArgument);
    virtual void construct() throw();
};
}
}

#endif //SCT_FILE_IONAMEFILE_H
