#ifndef SCANRESULTIOHELPER_H
#define SCANRESULTIOHELPER_H

namespace SctData {

	class ScanHeader;
	class ModuleConfiguration;
	class ScanResult;
	class ScanPoints;
		
/**
The point of this class is to provide access to internal parts of 
ScanResult to help IO classes to efficiently create a ScanResult 	
*/
class ScanResultIOHelper {
public:
	ScanResultIOHelper();
	ScanHeader& getHeader() const;
	ModuleConfiguration& getConfiguration() const;
	ScanPoints& getPoints() const;
	void set(const ScanResult& ob) const;

protected:
	mutable ScanResult* ob;
};

}

#endif //#ifndef SCANRESULTIOHELPER_H
