#ifndef ArchTrimRangeTestResult_H
#define ArchTrimRangeTestResult_H

#include "Sct/SctNames.h"
#include "ArchTestResult.h"
#include "SctData/TrimRangeTestResult.h"
#include <vector>
#include <boost/shared_ptr.hpp>

class TGraph;

using boost::shared_ptr;
using namespace SctData;
using namespace Sct;


class ArchTrimRangeTestResult: public ArchTestResult  {
  
 private:
  vector<TGraph*> chipTrim; //ChipTrimData 
  vector<TF1*> chipTrimFit; //ChipTrimData Fit
  
 

 public:

  ArchTrimRangeTestResult();
  ArchTrimRangeTestResult(TrimRangeTestResult &);
  ~ArchTrimRangeTestResult();
 
  void SaveTrimRangeTestDataOnly();
  void SaveTrimRange();  
  
  void TestSummary(TrimRangeTestResult &);

};


#endif
