#include <iostream>
#include <memory>

#include "configXMLImpl.h"

std::auto_ptr<SctConfiguration::Configuration> config(new ConfigurationXMLImpl);

int main() {
  std::cout << "Hello world\n";

  try {
    config->writePowerSupplyConfiguration(".");
  } catch(SctConfiguration::ConfigurationException &e) {
    std::cout << "Exception writing configuration\n";
    std::cout << e.what() << std::endl;
  }

  std::cout << "Wrote dump\n";
}
