#ifndef SCANLIBRARYIMPL_H
#define SCANLIBRARYIMPL_H

#include "ipc/ScanLibrary.h"

namespace SctCalibrationController {
using namespace Ipc;

class ScanLibraryImpl : public ScanLibrary {
public:
    static ScanLibraryImpl& instance();
    
    virtual Sct_SctApi_T_Scan& thresholdScan(unsigned long nTrigs) const;
    virtual Sct_SctApi_T_Scan& thresholdScanfC(unsigned long nTrigs, double calCharge) const;    
    virtual Sct_SctApi_T_Scan& strobeDelayScan(unsigned long nTrigs) const;
    virtual Sct_SctApi_T_Scan& nmaskScan(unsigned long nTrigs) const;    
    virtual Sct_SctApi_T_Scan& tokenScan() const;

private:
    Sct_SctApi_T_SctApi* api;
    ScanLibraryImpl();
};    
}

#endif //SCANLIBRARYIMPL_H
