/*
 * TestSuite.java
 *
 * Created on 17 September 2003, 15:57
 */

package SctData;
import junit.framework.*;

/**
 * A simple Test Suite
 * @author  palmer
 */
public class SctDataTestSuite {
    
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTestSuite(ScanHeaderTest.class);
        suite.addTestSuite(ScanPointsTest.class);
        suite.addTestSuite(ModuleElementTest.class);
        suite.addTestSuite(ModuleDefectTest.class);
        suite.addTestSuite(ModuleDefectListTest.class);
        suite.addTestSuite(ChipOptionsTest.class);
        suite.addTestSuite(ChipConfigurationTest.class);
        suite.addTestSuite(ModuleConfigurationTest.class);
        suite.addTestSuite(RawScanResultTest.class);
        return suite;
    }
    
    public static void main(String[] args) {
        TestResult r = junit.textui.TestRunner.run(suite());
        if (!r.wasSuccessful()) Runtime.getRuntime().exit(1);
    }
}
