#ifndef ARCHIVINGSERVICE_H
#define ARCHIVINGSERVICE_H

#include <is/isinfo.h>
#include "Archiving.hh"

namespace SctArchivingService {

class ArchivingWorkerGroup;
    
class ArchivingService : public IPCObject, public Archiving_T_ArchivingService {
public:
    ArchivingService();
    void run();
    static void MyISCallback(ISCallbackInfo * isc);
    static IPCServer& server();
    void archive(ISCallbackInfo * isc);
    
    //IPC methods
    virtual ilu_T_CString ping (ArchivingStatus *_status);
    
private:
    ArchivingWorkerGroup* group;
};

}

#endif //#ifndef ARCHIVINGSERVICE_H
