/**
@mainpage
Welcome to the SCT DAQ/DCS/Calibration software.
<p>
This document documents the software which calibrates and 
does online monitoring of the 
<A HREF="http://atlas.web.cern.ch/Atlas/GROUPS/INNER_DETECTOR/SCT/">SCT</a> subsystem of the 
<A HREF="http://atlas.web.cern.ch/Atlas/internal/Welcome.html">ATLAS</a> detector.
<P>
The code is largely build on the Atlas <A HREF="http://atlas-onlsw.web.cern.ch/Atlas-onlsw/">online software</A> framework, 
and uses many of it's components, notably Inter-Process Communication (IPC), Message Reporting Service (MRS) 
and the Information Service (IS).

The overall structure for the SCT macro-assembly is described by the bubble diagram:
<BR>
@image html Bubble_Diagram.png

N.B. Most of the low level routines (for the API) are not yet in a namespace, 
so for their documentation one must go through the class list.
</p>
<HR>
April 2003. <P> <H3>Authors</H3>
     Cambridge: Alan Barr, Matt Palmer, Dave Robinson
<BR> Oxford: Alessandro Tricoli
<BR> RAL: Peter Phillips
<BR> RAL/Birmingham: Bruce Gallop
*/
