package SummaryReader;

public class DataBlock implements regExpressions{

    String[][] data = new String[12][];
    String title;
    String[] headers;

    public DataBlock(String title, int arraySize) {
       this.title=title;
       for(int i=0;i<12;i++) data[i] = new String[arraySize];
       headers = new String[arraySize];
       }
    public void add(int chip, int column, String dataString) {
       data[chip][column]=dataString;
       }
    public void add(int param, String header) {
       headers[param]=header;
       }
    public String getTitle() {
       return title;
       }
    public String get(int chip, int column) {
       return data[chip][column];
       }
    public String getSummaryTable() {
       StringBuffer table = new StringBuffer("<h3>"+title+"</h3>\n");
       table.append("<table border=1>\n");
       table.append("<tr><td>Chip</td>");
       for(int param=0;param<headers.length;param++) table.append("<td>"+headers[param]+"</td>");
       table.append("</tr>");
       for(int chip=0;chip<12;chip++) {
          table.append("<tr><td>"+chips[chip]+"</td>");
          for(int param=0;param<data[chip].length;param++) {
             if(data[chip][param]!=null) table.append("<td>"+data[chip][param]+"</td>");
             }
          table.append("</tr>");
          }
       table.append("</table>\n");
       return table.toString();
       }       
}